Description

I have tried editing a Spatialite layer using OGR driver, but I've found very strange behaviours.

I tried deleting some features. When you click on a geometry to delete it, nothing is (apparently) happening. However, if you save the
edition and reload the layer, some features were actually deleted, but different ones from the ones you tried to delete!

So it looks there is a problem managing IDs for OGR layers in edition, or at least with Spatialite layers (I did not tried editing other
formats).

I think we should solve this bug or disable editing for Spatialite/OGR before releasing 2.3.

History
#1 - 06/08/2017 02:33 PM - Álvaro Anguix
- Status changed from New to Outdated

In gvSIG 2.4 we have a new driver of Spatialite, so this bug is outdated

#2 - 06/09/2017 09:54 AM - Cesar Martinez Izquierdo
- Status changed from Outdated to Awaiting response

One question, will the OGR driver be removed from version 2.4?
If the driver is still present, the Spatialite support should be made "read-only" or totally disabled for this driver, otherwise the bug will still be there.

#3 - 06/09/2017 10:04 AM - Álvaro Anguix

It's not removed, but with the "gvsig option", we won't fix this bug. When we have time we can review the OGR driver and disable "duplicate" options or
made another type of integration.

#4 - 04/13/2020 09:30 AM - Álvaro Anguix
- Category set to Database
